gstreamermm 1.4.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Friends | List of all members
Gst::ElementClass< DerivedCppType > Class Template Reference

## Public Member Functions
void | add_pad_template (const Glib::RefPtr< Gst::PadTemplate >& tpl)
void | set_metadata (const Glib::ustring& longname, const Glib::ustring& classification, const Glib::ustring& description, const Glib::ustring& author)
void | add_metadata (const Glib::ustring& key, const Glib::ustring& value)
const GstElementClass* | gobj () const
GstElementClass* | gobj ()

## Friends
GType | register_mm_type (const gchar* type_name)

## Member Function Documentation

template <typename DerivedCppType >

void Gst::ElementClass< DerivedCppType >::add_metadata | ( | const Glib::ustring & | key,
|  | const Glib::ustring & | value
| ) |  |
| inline

template <typename DerivedCppType >

void Gst::ElementClass< DerivedCppType >::add_pad_template | ( | const Glib::RefPtr< Gst::PadTemplate >& | tpl | ) |
| inline

template <typename DerivedCppType >

const GstElementClass* Gst::ElementClass< DerivedCppType >::gobj | ( |  | ) | const
| inline

template <typename DerivedCppType >

GstElementClass* Gst::ElementClass< DerivedCppType >::gobj | ( |  | ) |
| inline

template <typename DerivedCppType >

void Gst::ElementClass< DerivedCppType >::set_metadata | ( | const Glib::ustring & | longname,
|  | const Glib::ustring & | classification,
|  | const Glib::ustring & | description,
|  | const Glib::ustring & | author
| ) |  |
| inline

## Friends And Related Function Documentation

template <typename DerivedCppType >

GType register_mm_type | ( | const gchar * | type_name = `typeid(DerivedCppType).name()` | ) |
| friend

The documentation for this class was generated from the following file:

- gstreamermm/register.h